

import 'dart:ui';

typedef void LocaleChangeCallback(Locale locale, Function onChanged);

class LocalizationProviderRF {
  // List of supported languages
  final List<String> supportedLanguages = ['en','fr','es']; //Need Work

  // Returns the list of supported Locales
  Iterable<Locale> supportedLocales() => supportedLanguages.map<Locale>((lang) => new Locale(lang, ''));

  // Function to be invoked when changing the working language
  LocaleChangeCallback loadLanguage;
  Function onLoadComplete;

  ///
  /// Internals
  ///
  static final LocalizationProviderRF _applic = new LocalizationProviderRF._internal();

  factory LocalizationProviderRF(){
    return _applic;
  }

  LocalizationProviderRF._internal();
}

LocalizationProviderRF LanguageRF = new LocalizationProviderRF();