import 'package:flutter/material.dart';
import 'package:rapidfire/uiux/WidgetsRF.dart';

abstract class IPageOutlineRF {
  PageOutlineRF customOutline();
}

abstract class IAppOnboardRF {
  AppOnboardRF customOnboard();
}

abstract class ITextRFStyle {
  StyleTextRF customStyleTextRF();
}

abstract class IContainerRFStyle {
  StyleContainerRF customStyleContainerRF();
}

enum ThemeDataTypeRF { light, dark }

abstract class IThemeDataRF {
  ThemeData customThemeData(ThemeDataTypeRF themeType);
}

class StyleTextRF {
  double fontSize;
  FontWeight fontWeight;
  Color color;
  TextStyle textStyle;

  StyleTextRF({this.fontSize, this.fontWeight, this.color, this.textStyle});
}

class StyleContainerRF {
  final AlignmentGeometry alignment;
  final EdgeInsetsGeometry padding;
  final EdgeInsetsGeometry margin;
  final int height;
  final Decoration decoration;

  StyleContainerRF({
    this.alignment,
    this.padding,
    this.margin,
    this.height,
    this.decoration,
  });
}
